org.deidentifier.arx.test

## Class AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase

Enclosing class:
  AbstractTestUtilityMetrics

    public static class AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase
    extends java.lang.Object

Represents a test case.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`ARXConfiguration` `config` Config
`java.lang.String` `dataset` Dataset
`java.util.Map<java.lang.String,java.lang.String>` `informationLoss` Score
`java.lang.String` `sensitiveAttribute` Attribute

### Constructor Summary

Constructors
Constructor and Description
`ARXUtilityMetricsTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, java.lang.String... informationLoss)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Returns a string description.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### config

    public ARXConfiguration config

Config

#### dataset

    public java.lang.String dataset

Dataset

#### sensitiveAttribute

    public java.lang.String sensitiveAttribute

Attribute

#### informationLoss

    public java.util.Map<java.lang.String,java.lang.String> informationLoss

Score

### Constructor Detail

#### ARXUtilityMetricsTestCase

    public ARXUtilityMetricsTestCase(ARXConfiguration config,
                                     java.lang.String sensitiveAttribute,
                                     java.lang.String dataset,
                                     java.lang.String... informationLoss)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `informationLoss` - pairs of (Arrays.toString(transformation), informationLoss.toString())

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Returns a string description.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`